package com.chenyang.druid.sql.dialect.mariadb.ast.statement;

import com.chenyang.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbShowEnginesStatement extends MariadbStatementImpl implements MariadbShowStatement {
   private boolean storage = false;

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isStorage() {
      return this.storage;
   }

   public void setStorage(boolean storage) {
      this.storage = storage;
   }
}
